using System.Xml.Serialization;
using NewRock.Sdk.Control.Response;

namespace NewRock.Sdk.Control.Request
{
    [XmlRoot("Control")]
    public class QueryMenuRequest:INewRockRequest<QueryMenuResponse>
    {
        [XmlAttribute("attribute")]
        public string Attribute { get; set; }

        [XmlElement("menu")]
        public QueryMenuMenu Menu { get; set; }
    }

    public class QueryMenuMenu
    {
        [XmlAttribute("id")]
        public string Id { get; set; }
    }
}
